Bug Hunting Session
Bug 103826 - Draw crashes on right click to pages pane in the master view
Summary: Draw crashes on right click to pages pane in the master view
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.3.0 target:5.2.4
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-10 09:55 UTC by ybk
Modified: 2017-07-10 15:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["framework::MenuBarManager::FillMenu(unsigned short &,Menu *,rtl::OUString const &,com::sun::star::uno::Reference<com::sun::star::container::XIndexAccess> const &,com::sun::star::uno::Reference<com::sun::star::frame::XDispatchProvider> const &)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ybk 2016-11-10 09:55:09 UTC
When I select master view and right click on the pages pane draw crashes immediately. This bug was also present on version 5.2.0, my current version is 5.2.3.3
Comment 1 Xisco Faulí 2016-11-10 11:47:19 UTC Comment hidden (obsolete)
Comment 2 Maxim Monastirsky 2016-11-10 15:41:38 UTC
taking.

@Xisco: this is about Draw, not Impress.
Comment 3 Commit Notification 2016-11-10 16:02:34 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=749fe62b32acc3159cf2756aae16df36f091a862

tdf#103826 Missing master page pane context menus in Draw

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Maxim Monastirsky 2016-11-10 16:36:22 UTC
The crash was fixed in 5.3 much earlier in [1], but right clicking still did 
nothing (i.e. no context menu) - which I fixed now.

[1] https://cgit.freedesktop.org/libreoffice/core/commit/?id=6bf7d1d0f69097b267d348d8d264e9b669f423a0
Comment 5 Commit Notification 2016-11-11 15:28:44 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2bb209eeb9db2243d4a0e9d460adb210c8bfd0c8&h=libreoffice-5-2

tdf#103826 Missing master page pane context menus in Draw

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.